// Annullamento movimenti da ricevere

#include <mask.h>
#include <applicat.h>
#include <relation.h>
#include <tabutil.h>
#include <utility.h>
#include <config.h>
#include <urldefid.h> 
#include <execp.h>                       
#include <prefix.h>
#include <lffiles.h>  
#include <nditte.h>  

#include "cg2800.h"           

HIDDEN int date2esc(const TDate& d, int* prevesc = NULL);

class TAnn_mov : public TApplication
{
  TIsamtempfile*   _tmov,* _trmov,* _tiva;
  TLocalisamfile*  _pcon,* _clifo, *_mov;
  TRectype*        _rec_mov;
  TTransfer_file   _tras_file;
  
  TString _trasf,_std,_uselab,_record,_nrec_file,_sigle_file,_key;
  long    _dittaric,_numreg;      
  TString _control_rec;         
  
public:        
  TString     _titolo;
  
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);         
  
  bool    set();
  
  bool    esegui_controlli();
  bool    leggi_trasfer();
  bool    controlli();
  void    leggi_record_controllo();
  bool    video();
  void    annulla(TMask& m);                
  bool    esiste_testata_mov(TMask& m);

  void    setta_campi_maschera(TMask& m);                                  

  void    setta_parametri_record(const TString& sigla,const TString& flag,bool uselab);
  
  static bool codice_registro_hnd   (TMask_field& f, KEY k);
  static bool codice_causale_hnd    (TMask_field& f, KEY k);
  
  TAnn_mov() {};
};                                      
